
task cnvkit{
    String sample_id
    File ref_dir
    String? fasta
    File ref_flat
    File bed_file
    File tumor_bam
    File tumor_bam_index
    File? normal_bam
    File? normal_bam_index
    String docker
    String cluster_config
    String disk_size
    String sample=basename(tumor_bam,".bam")

    command <<<

        set -o pipefail
        set -e
        nt=$(nproc)
        
        echo ${sample}

        /root/miniconda2/bin/cnvkit.py batch ${tumor_bam} \
                  --normal ${normal_bam} \
                  --method wgs \
                  --fasta ${ref_dir} \
                  --annotate ${ref_flat} -p $nt \
                  --targets ${bed_file} \
                  --drop-low-coverage \
                  --output-dir ${sample_id}.reference.cnn
        
       /root/miniconda2/bin/cnvkit.py batch  ${tumor_bam} \
                  -r ${sample_id}.reference.cnn \
                  --output-dir ${sample_id}.sampleid.cns \
                  -p $nt
                  
                  
       /root/miniconda2/bin/cnvkit.py call ${sample_id}.sampleid.cns \
                  -o ${sample_id}.sampleid.call.cns
                  
        
                  

        ls ./

        tar cvf ${sample_id}.tar ${sample_id}*

    >>>

    runtime{
        docker:docker
        cluster:cluster_config
        systemDisk:"cloud_ssd 40"
        dataDisk:"cloud_ssd " + disk_size + " /cromwell_root/"
        timeout:259200
    }

    output{
        File out_file = "${sample_id}.tar"
        #File cnv_bed = "${sample}.ratio_cnv.call.filter.bed"
    }

}